Package org.eclipse.emf.cdo.transaction

# Class CDOStaleReferenceCleaner.Default

java.lang.Object
org.eclipse.emf.cdo.transaction.CDOStaleReferenceCleaner.Default

All Implemented Interfaces:
  `CDOStaleReferenceCleaner`

Enclosing interface:
  `CDOStaleReferenceCleaner`

public static class CDOStaleReferenceCleaner.Default extends Object implements CDOStaleReferenceCleaner
A default `CDOStaleReferenceCleaner` that can be used on invalidation.

Author:
  Esteban Dugueperoux

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOStaleReferenceCleaner

`CDOStaleReferenceCleaner.Default`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.transaction.CDOStaleReferenceCleaner

`DEFAULT`

## Constructor Summary

Constructors
Constructor
Description
`Default()`

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanStaleReferences(Collection<org.eclipse.net4j.util.collection.Pair<EStructuralFeature.Setting,EObject>> objectsToBeRemoved)`
Clean the stale references created on invalidation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Default

public Default()

## Method Details

### cleanStaleReferences

public void cleanStaleReferences(Collection<org.eclipse.net4j.util.collection.Pair<EStructuralFeature.Setting,EObject>> objectsToBeRemoved)
Description copied from interface: `CDOStaleReferenceCleaner`
Clean the stale references created on invalidation.

Specified by:
  `cleanStaleReferences` in interface `CDOStaleReferenceCleaner`
Parameters:
  `objectsToBeRemoved` - `Collection` of `Pair` from `EStructuralFeature.Setting` to detached objects